Bug 1353563 (CVE-2016-6170)

Summary: CVE-2016-6170 bind: Improper restriction of zone size limit
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: dkholia, jpopelka, msehnout, psimerda, rupatel, thozza, twalsh, vonsch, yozone, zdohnal
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
It was found that bind does not implement reasonable restrictions for zone sizes. This allows an explicitly configured primary DNS server for a zone to crash a secondary DNS server, affecting service of other zones hosted on the same secondary server.
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-09-19 05:09:39 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1353569, 1353571    
Bug Blocks: 1353581    

Description Adam Mariš 2016-07-07 13:08:19 UTC
It was found that bind does not implement reasonable restrictions for zone sizes. This allows an explicitly configured primary DNS server for a zone to crash a secondary DNS server, affecting service of other zones hosted on the same secondary server.

CVE request:

http://seclists.org/oss-sec/2016/q3/19

Proposed patches:

https://github.com/sischkg/xfer-limit/blob/master/bind-9.10.3-xfer-limit-0.0.1.patch
https://github.com/sischkg/xfer-limit/blob/master/bind-9.9.9-P1-xfer-limit-0.0.1.patch

Comment 1 Adam Mariš 2016-07-07 13:13:28 UTC
Created bind tracking bugs for this issue:

Affects: fedora-all [bug 1353569]

Comment 2 Adam Mariš 2016-07-07 13:13:33 UTC
Created bind99 tracking bugs for this issue:

Affects: fedora-all [bug 1353571]

Comment 3 Tomáš Hozza 2016-07-15 08:44:22 UTC
Upstream solution:

ISC wish to stress that the behavior in question is not a failure
of BIND to implement DNS protocols correctly, but is if anything
an oversight in the protocol.  However, for the convenience of
operators who take zone data from untrusted sources (such as
secondary name service providers) we have committed to delivering
a feature in upcoming maintenance releases of BIND which will
address the issue by allowing operators to set limits on the
maximum zone size BIND will accept.

I checked the upstream git and there is no implementation yet.

Comment 4 Dhiru Kholia 2016-07-15 08:53:54 UTC
Mitigation:

This issue can be mitigated by disallowing zone transfers and dynamic updates from potentially malicious sources.

For more information, see the "Workarounds" section on https://kb.isc.org/article/AA-01390 page.

Comment 8 Dhiru Kholia 2016-09-19 05:08:11 UTC
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.